XtRegisterDrawable(3)

NAME
XtRegisterDrawable - register a drawable with the Intrinsics event dispatcher

SYNTAX

void XtRegisterDrawable(Display* display, Drawable drawable, Widget widget);

void XtUnregisterDrawable(Display* display, Drawable drawable);

ARGUMENTS

display
    Specifies the drawable's display.

drawable
    Specifies the drawable to register.

widget
    Specifies the widget to register the drawable for.

DESCRIPTION
associates the specified drawable with the specified widget so that future calls to with the drawable will return the widget. The default event dispatcher will dispatch future core events that arrive with the drawable to the widget as though the event contained the widget's window, but the event itself will not be changed in any way when being passed to even handler or action procedures.

If the drawable is already registered with another widget, or if the drawable is the window of a widget in the client's widget tree, the results of calling are undefined.

removes an association created with If the drawable is the window of a widget in the client's widget tree the results of calling are undefined.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface